#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import sys
import os
import wnfjpeg_verzeichnis as V
import wnfftp_paramiko as F

cWWW = '/WWWROOT/263989/htdocs/sites/default/files/bilder'


def einVerzeichnis(aQuellVerzeichnis):
    print(
        "Alle Bilder des Verzeichnisses für geschwister-scholl-grundschule-leipzig.de bereitstellen (800 Pixel breit)")
    # print(aQuellVerzeichnis)
    aJahr, aVorsilbe, aTempVerzeichnis = V.verkleinern_einVerzeichnis(aQuellVerzeichnis)
    aZielVerzeichnis = '%s/%s/%s/' % (cWWW, aJahr, aVorsilbe)
    # print(aZielVerzeichnis)
    F.uploadVerzeichnis(F.cScholli, aQuellVerzeichnis=aTempVerzeichnis, aZielVerzeichnis=aZielVerzeichnis)


def einBild(aDateiname):
    print("Das Bild für www.geschwister-scholl-grundschule-leipzig.de bereitstellen")
    aJahr, aTempDatei = V.verkleinern_einBild(aDateiname)
    aZielVerzeichnis = '%s/%s/' % (cWWW, aJahr)
    # print(aZielVerzeichnis)
    F.uploadDatei(F.cScholli, aQuelldatei=aTempDatei, aZielVerzeichnis=aZielVerzeichnis)


if __name__ == "__main__":

    if (len(sys.argv) == 2):
        s = os.path.abspath(sys.argv[1])
        print(s)
        if os.path.isdir(s):
            einVerzeichnis(s)
        elif os.path.isfile(s):
            einBild(s)
        else:
            print('NOP ',s)
    elif (len(sys.argv) == 1):
        # einVerzeichnis('.')
        print('NOP')
    else:
        print('NOP')
